Bug 210853 - useradd doesn't create mail spool files
Summary: useradd doesn't create mail spool files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils   
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-16 09:14 UTC by Nuno Monteiro
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 13:54:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nuno Monteiro 2006-10-16 09:14:32 UTC
Description of problem:

/usr/sbin/useradd doesn't create mail spool files, and that makes non-setuid/gid
MDA's (like postfix handing actual delivery out to procmail) unable to deliver
mail. This is true even if CREATE_MAIL_SPOOL is set to yes in /etc/default/useradd


Version-Release number of selected component (if applicable):

# rpm -q shadow-utils
shadow-utils-4.0.14-9.FC5

How reproducible:

It's always reproducible.


Steps to Reproduce:
1. Simply create a new user.

  
Actual results:
No /var/spool/mail/$USER is created


Expected results:

An empty file called $USER with ownership $USER.mail should be created in
/var/spool/mail

I tested this on two boxes running RH9 and FC3, respectively, and it worked as
expected, the spool file was created:

access("/var/mail/test", R_OK)         = -1 ENOENT (No such file or directory)
open("/var/mail/test", O_WRONLY|O_CREAT|O_TRUNC|O_EXCL|O_LARGEFILE,
027763516040) = 9

(this trace is from the FC3 box)

Additional info:

Comment 1 Peter Vrabec 2006-10-17 13:54:38 UTC
fixed in comming update shadow-utils-4.0.14-10.FC5.


Note You need to log in before you can comment on or make changes to this bug.